Create Carrier Invoice Document
curl --request POST \
--url https://api.upwell.com/api/rest/carrier_invoices/{carrierInvoiceId}/documents \
--header 'Content-Type: application/json' \
--data '
{
"carrierInvoiceId": "<string>",
"input": {
"base64": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"type": "<string>",
"visibleToCarrier": true,
"visibleToCustomer": true
}
}
'import requests
url = "https://api.upwell.com/api/rest/carrier_invoices/{carrierInvoiceId}/documents"
payload = {
"carrierInvoiceId": "<string>",
"input": {
"base64": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"type": "<string>",
"visibleToCarrier": True,
"visibleToCustomer": True
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
carrierInvoiceId: '<string>',
input: {
base64: '<string>',
filename: '<string>',
mimeType: '<string>',
sourceSystem: '<string>',
sourceSystemId: '<string>',
type: '<string>',
visibleToCarrier: true,
visibleToCustomer: true
}
})
};
fetch('https://api.upwell.com/api/rest/carrier_invoices/{carrierInvoiceId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createCarrierInvoiceDocument": {
"id": "<string>"
}
}Carrier Invoice Documents
Create Carrier Invoice Document
Create a new carrier invoice document
POST
/
api
/
rest
/
carrier_invoices
/
{carrierInvoiceId}
/
documents
Create Carrier Invoice Document
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Path Parameters
"carrierInvoiceId" is required (enter it either in parameters or request body)
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
200 - application/json
Responses for POST /api/rest/carrier_invoices/{carrierInvoiceId}/documents
Show child attributes
Show child attributes
⌘I

